Subject: What about HOME and USER when starting Cygwin B20.1
From: [email-masked] (Christian Jönsson)

6 Dec 1998 09:22:19 -0800
Message-ID: <006801be2119$1f2574c0$4e28c6c3.cygnus.gnu-win32@p4kpm>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "GNU Win32" <[email-masked]>

I was just wondering if one could use the Win98 Username (and perhaps locale) to pass onto the Cygwin B20 environment, mainly bash, I guess.

I do the following when I start B20

export USER=chj    # That's my Username in then Win98 registry, others exit on my machine.
export HOME=/WINDOWS/Profiles/$USER
cd 

That would be handy to have automatically. I guess that the problem of getting the Username out of the registry isn't that easy, is it?

For the locale, I guess the problem is similar.

Just some thoughts, I'm new to Win98, coming from Solaris, via linux towards Win32, perhaps...

Any comments are welcome,

TIA,

/ChJ

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".